unit Capture;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs;

type
  TCaptureForm = class(TForm)
    procedure FormMouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure FormShow(Sender: TObject);
    procedure FormEraseBackground(var msg:TMessage); message WM_ERASEBKGND;
  private
    { Private declarations }
  public
    { Public declarations }
    Clicked:TPoint;
  end;

var
  CaptureForm: TCaptureForm;

implementation

{$R *.dfm}

procedure TCaptureForm.FormMouseDown(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
  Clicked.X:=X-4096;
  Clicked.Y:=Y-4096;
  ModalResult:=mrOK;
end;

procedure TCaptureForm.FormShow(Sender: TObject);
begin
  Top:=-4096; Left:=-4096;
  Width:=16384; Height:=16384;
end;

procedure TCaptureForm.FormEraseBackground(var msg:TMessage);
begin
  msg.Result:=0;
end;

end.
