unit SetPos;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Buttons;

type
  TSetPosForm = class(TForm)
    BCancel: TButton;
    SpeedButton1: TSpeedButton;
    SpeedButton2: TSpeedButton;
    SpeedButton3: TSpeedButton;
    SpeedButton4: TSpeedButton;
    SpeedButton5: TSpeedButton;
    SpeedButton6: TSpeedButton;
    SpeedButton9: TSpeedButton;
    SpeedButton8: TSpeedButton;
    SpeedButton7: TSpeedButton;
    BWithMouse: TButton;
    procedure BWithMouseClick(Sender: TObject);
    procedure SpeedButtonClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    SX,SY:integer;
    NX,NY:integer;
  end;

var
  SetPosForm: TSetPosForm;

implementation

uses Main, Capture;

{$R *.dfm}

procedure TSetPosForm.BWithMouseClick(Sender: TObject);
begin
  MainForm.Hide; Hide;
  with CaptureForm do begin
    ShowModal;
    NX:=Clicked.X;
    NY:=Clicked.Y;
  end;
  MainForm.Show; Show;
  ModalResult:=mrOK;
end;

procedure TSetPosForm.SpeedButtonClick(Sender: TObject);
var Area:TRect;
    T,X1,X2,XC,Y1,Y2,YC:integer;
begin
  SystemParametersInfo(SPI_GETWORKAREA,0,@Area,0);
  X1:=Area.Left;     Y1:=Area.Top;
  X2:=Area.Right-SX; Y2:=Area.Bottom-SY;
  XC:=(X1+X2) DIV 2; YC:=(Y1+Y2) DIV 2;
  T:=(Sender as TComponent).Tag;
  case T of 1,4,7:NX:=X1; 2,5,8:NX:=XC; 3,6,9:NX:=X2; end;
  case T of 1,2,3:NY:=Y1; 4,5,6:NY:=YC; 7,8,9:NY:=Y2; end;
  ModalResult:=mrOK;
end;

end.
